import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataDockerNetworkConfig extends TerraformMetaArguments {
    readonly name?: string;
}
export declare class DataDockerNetworkIpamConfig extends ComplexComputedList {
    get auxAddress(): any;
    get gateway(): string;
    get ipRange(): string;
    get subnet(): string;
}
export declare class DataDockerNetwork extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataDockerNetworkConfig);
    get driver(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get internal(): boolean;
    ipamConfig(index: string): DataDockerNetworkIpamConfig;
    private _name?;
    get name(): string | undefined;
    set name(value: string | undefined);
    options(key: string): string;
    get scope(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
